# -*- encoding: utf-8 -*-
# stub: aws-sdk-resources 2.11.79 ruby lib

Gem::Specification.new do |s|
  s.name = "aws-sdk-resources".freeze
  s.version = "2.11.79"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Amazon Web Services".freeze]
  s.date = "2020-02-05"
  s.description = "Provides resource oriented interfaces and other higher-level abstractions for many AWS services. This gem is part of the official AWS SDK for Ruby.".freeze
  s.email = ["trevrowe@amazon.com".freeze]
  s.files = ["lib/aws-sdk-resources.rb".freeze, "lib/aws-sdk-resources/batch.rb".freeze, "lib/aws-sdk-resources/builder.rb".freeze, "lib/aws-sdk-resources/builder_sources.rb".freeze, "lib/aws-sdk-resources/collection.rb".freeze, "lib/aws-sdk-resources/definition.rb".freeze, "lib/aws-sdk-resources/documenter.rb".freeze, "lib/aws-sdk-resources/documenter/base_operation_documenter.rb".freeze, "lib/aws-sdk-resources/documenter/data_operation_documenter.rb".freeze, "lib/aws-sdk-resources/documenter/has_many_operation_documenter.rb".freeze, "lib/aws-sdk-resources/documenter/has_operation_documenter.rb".freeze, "lib/aws-sdk-resources/documenter/operation_documenter.rb".freeze, "lib/aws-sdk-resources/documenter/resource_operation_documenter.rb".freeze, "lib/aws-sdk-resources/documenter/waiter_operation_documenter.rb".freeze, "lib/aws-sdk-resources/errors.rb".freeze, "lib/aws-sdk-resources/operation_methods.rb".freeze, "lib/aws-sdk-resources/operations.rb".freeze, "lib/aws-sdk-resources/options.rb".freeze, "lib/aws-sdk-resources/request.rb".freeze, "lib/aws-sdk-resources/request_params.rb".freeze, "lib/aws-sdk-resources/resource.rb".freeze, "lib/aws-sdk-resources/services/ec2.rb".freeze, "lib/aws-sdk-resources/services/ec2/instance.rb".freeze, "lib/aws-sdk-resources/services/iam.rb".freeze, "lib/aws-sdk-resources/services/s3.rb".freeze, "lib/aws-sdk-resources/services/s3/bucket.rb".freeze, "lib/aws-sdk-resources/services/s3/encryption.rb".freeze, "lib/aws-sdk-resources/services/s3/encryption/client.rb".freeze, "lib/aws-sdk-resources/services/s3/encryption/decrypt_handler.rb".freeze, "lib/aws-sdk-resources/services/s3/encryption/default_cipher_provider.rb".freeze, "lib/aws-sdk-resources/services/s3/encryption/default_key_provider.rb".freeze, "lib/aws-sdk-resources/services/s3/encryption/encrypt_handler.rb".freeze, "lib/aws-sdk-resources/services/s3/encryption/errors.rb".freeze, "lib/aws-sdk-resources/services/s3/encryption/io_auth_decrypter.rb".freeze, "lib/aws-sdk-resources/services/s3/encryption/io_decrypter.rb".freeze, "lib/aws-sdk-resources/services/s3/encryption/io_encrypter.rb".freeze, "lib/aws-sdk-resources/services/s3/encryption/key_provider.rb".freeze, "lib/aws-sdk-resources/services/s3/encryption/kms_cipher_provider.rb".freeze, "lib/aws-sdk-resources/services/s3/encryption/materials.rb".freeze, "lib/aws-sdk-resources/services/s3/encryption/utils.rb".freeze, "lib/aws-sdk-resources/services/s3/file_downloader.rb".freeze, "lib/aws-sdk-resources/services/s3/file_part.rb".freeze, "lib/aws-sdk-resources/services/s3/file_uploader.rb".freeze, "lib/aws-sdk-resources/services/s3/multipart_file_uploader.rb".freeze, "lib/aws-sdk-resources/services/s3/multipart_upload.rb".freeze, "lib/aws-sdk-resources/services/s3/multipart_upload_error.rb".freeze, "lib/aws-sdk-resources/services/s3/object.rb".freeze, "lib/aws-sdk-resources/services/s3/object_copier.rb".freeze, "lib/aws-sdk-resources/services/s3/object_multipart_copier.rb".freeze, "lib/aws-sdk-resources/services/s3/object_summary.rb".freeze, "lib/aws-sdk-resources/services/s3/presigned_post.rb".freeze, "lib/aws-sdk-resources/services/sns.rb".freeze, "lib/aws-sdk-resources/services/sns/message_verifier.rb".freeze, "lib/aws-sdk-resources/services/sqs.rb".freeze, "lib/aws-sdk-resources/services/sqs/queue_poller.rb".freeze, "lib/aws-sdk-resources/source.rb".freeze]
  s.homepage = "http://github.com/aws/aws-sdk-ruby".freeze
  s.licenses = ["Apache 2.0".freeze]
  s.rubygems_version = "3.1.2".freeze
  s.summary = "AWS SDK for Ruby - Resources".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<aws-sdk-core>.freeze, ["= 2.11.79"])
  else
    s.add_dependency(%q<aws-sdk-core>.freeze, ["= 2.11.79"])
  end
end
